## avdtpsink avdtpsink |

## Properties

gboolean | auto-connect | Read / Write
gchar * | device | Read / Write
gchar * | transport | Read / Write

## Types and Values

struct | GstAvdtpSink

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSink
                        ╰── GstAvdtpSink

## Description

## Synopsis

### Element Information

plugin | bluez
author | Marcel Holtmann <marcel@holtmann.org>
class | Sink/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | application/x-rtp, media=(string)audio, payload=(int)[ 96, 127 ], clock-rate=(int){ 16000, 32000, 44100, 48000 }, encoding-name=(string)SBC
| application/x-rtp, media=(string)audio, payload=(int)14, clock-rate=(int)90000
| application/x-rtp, media=(string)audio, payload=(int)[ 96, 127 ], clock-rate=(int)90000, encoding-name=(string)MPA

## Functions

## Types and Values

### struct GstAvdtpSink

    struct GstAvdtpSink;

## Property Details

### The `“auto-connect”` property

      “auto-connect”             gboolean

Automatically attempt to connect to device.

Flags: Read / Write

Default value: TRUE

### The `“device”` property

      “device”                   gchar *

Bluetooth remote device address.

Flags: Read / Write

Default value: NULL

### The `“transport”` property

      “transport”                gchar *

Use configured transport.

Flags: Read / Write

Default value: NULL